# FoundationClasses
TKMath
Poly

# Poly_CoherentTriPtr Class Reference

`#include <Poly_CoherentTriPtr.hxx>`

## Public Member Functions

| Poly_CoherentTriPtr (const Poly_CoherentTriangle &theTri)
void * | operator new (Standard_Size theSize, const Handle(NCollection_BaseAllocator)&theAllocator)
const Poly_CoherentTriangle & | GetTriangle () const
void | SetTriangle (const Poly_CoherentTriangle *pTri)
Poly_CoherentTriPtr & | Next () const
Poly_CoherentTriPtr & | Previous () const
Standard_EXPORT void | Append (const Poly_CoherentTriangle *pTri, const Handle_NCollection_BaseAllocator &theA)
Standard_EXPORT void | Prepend (const Poly_CoherentTriangle *pTri, const Handle_NCollection_BaseAllocator &theA)

## Static Public Member Functions

static Standard_EXPORT void | Remove (Poly_CoherentTriPtr *thePtr, const Handle_NCollection_BaseAllocator &theA)
static Standard_EXPORT void | RemoveList (Poly_CoherentTriPtr *thePtr, const Handle_NCollection_BaseAllocator &)

## Protected Member Functions

| Poly_CoherentTriPtr (const Poly_CoherentTriangle *pTri)

## Private Attributes

const Poly_CoherentTriangle * | mypTriangle
Poly_CoherentTriPtr * | myNext
Poly_CoherentTriPtr * | myPrevious

## Data Structures

class | Iterator

## Detailed Description

Implementation of both list node for Poly_CoherentTriangle type and round double-linked list of these nodes.

## Constructor & Destructor Documentation

Poly_CoherentTriPtr::Poly_CoherentTriPtr | ( | const Poly_CoherentTriangle & | theTri | ) | `[inline]`

| Constructor.

Poly_CoherentTriPtr::Poly_CoherentTriPtr | ( | const Poly_CoherentTriangle * | pTri | ) | `[inline, protected]`

| Constructor.

## Member Function Documentation

Standard_EXPORT void Poly_CoherentTriPtr::Append | ( | const Poly_CoherentTriangle * | pTri,
|  | const Handle_NCollection_BaseAllocator & | theA
| ) |

Append a pointer to triangle into the list after the current instance.

Parameters:

  | pTri | Triangle that is to be included in the list after this one.
  | theA | Allocator where the new pointer instance is created.

const Poly_CoherentTriangle& Poly_CoherentTriPtr::GetTriangle | ( |  | ) | const`[inline]`

| Query the stored pointer to Triangle.

Poly_CoherentTriPtr& Poly_CoherentTriPtr::Next | ( |  | ) | const`[inline]`

| Query the next pointer in the list.

void* Poly_CoherentTriPtr::operator new | ( | Standard_Size | theSize,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator
| ) | `[inline]`

| Operator new for dynamic allocations

Standard_EXPORT void Poly_CoherentTriPtr::Prepend | ( | const Poly_CoherentTriangle * | pTri,
|  | const Handle_NCollection_BaseAllocator & | theA
| ) |

Prepend a pointer to triangle into the list before the current instance.

Parameters:

  | pTri | Triangle that is to be included in the list before this one.
  | theA | Allocator where the new pointer instance is created.

Poly_CoherentTriPtr& Poly_CoherentTriPtr::Previous | ( |  | ) | const`[inline]`

| Query the previous pointer in the list.

static Standard_EXPORT void Poly_CoherentTriPtr::Remove | ( | Poly_CoherentTriPtr * | thePtr,
|  | const Handle_NCollection_BaseAllocator & | theA
| ) | `[static]`

Remove a pointer to triangle from its list.

Parameters:

  | thePtr | This class instance that should be removed from its list.
  | theA | Allocator where the current pointer instance was created.

static Standard_EXPORT void Poly_CoherentTriPtr::RemoveList | ( | Poly_CoherentTriPtr * | thePtr,
|  | const Handle_NCollection_BaseAllocator & |
| ) | `[static]`

| Remove the list containing the given pointer to triangle.

void Poly_CoherentTriPtr::SetTriangle | ( | const Poly_CoherentTriangle * | pTri | ) | `[inline]`

| Initialize this instance with a pointer to triangle.

## Field Documentation

Poly_CoherentTriPtr* Poly_CoherentTriPtr::myNext `[private]`

Poly_CoherentTriPtr* Poly_CoherentTriPtr::myPrevious `[private]`

const Poly_CoherentTriangle* Poly_CoherentTriPtr::mypTriangle `[private]`

The documentation for this class was generated from the following file:

- Poly_CoherentTriPtr.hxx